curl -X POST "https://api.caret.so/v1/integrations/zapier/webhook" \
-H "Authorization: Bearer your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
}'
const response = await fetch(
'https://api.caret.so/v1/integrations/zapier/webhook',
{
method: 'POST',
headers: {
Authorization: 'Bearer your_api_key_here',
'Content-Type': 'application/json',
},
body: JSON.stringify({
hookUrl: 'https://hooks.zapier.com/hooks/catch/123456/abcde/',
}),
},
);
const data = await response.json();
console.log(data);
import requests
url = "https://api.caret.so/v1/integrations/zapier/webhook"
headers = {
"Authorization": "Bearer your_api_key_here",
"Content-Type": "application/json"
}
data = {
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
{
"status": "success"
}
Zapier
Zapier Webhook追加
ワークスペースに新しいZapier Webhook URLを登録します
POST
/
v1
/
integrations
/
zapier
/
webhook
curl -X POST "https://api.caret.so/v1/integrations/zapier/webhook" \
-H "Authorization: Bearer your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
}'
const response = await fetch(
'https://api.caret.so/v1/integrations/zapier/webhook',
{
method: 'POST',
headers: {
Authorization: 'Bearer your_api_key_here',
'Content-Type': 'application/json',
},
body: JSON.stringify({
hookUrl: 'https://hooks.zapier.com/hooks/catch/123456/abcde/',
}),
},
);
const data = await response.json();
console.log(data);
import requests
url = "https://api.caret.so/v1/integrations/zapier/webhook"
headers = {
"Authorization": "Bearer your_api_key_here",
"Content-Type": "application/json"
}
data = {
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
{
"status": "success"
}
概要
このエンドポイントは、ワークスペースに新しいZapier Webhook URLを登録します。登録後、Caretは新しいミーティングが作成されるたびにこのURLに通知を送信します。 これは主にCaret Zapier連携で「Instant」トリガーを設定するために使用されます。認証
すべてのAPIリクエストはAuthorization: Bearer <API_KEY> で認証します。
string
必須
Bearerトークン。形式:
Bearer <API_KEY>。Body
string
必須
通知を送信するZapierが提供するWebhook
URL。
https://で始まる有効なURLである必要があります。レスポンス
string
操作の結果を示します。Webhookが登録された場合は常に
success。
curl -X POST "https://api.caret.so/v1/integrations/zapier/webhook" \
-H "Authorization: Bearer your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
}'
const response = await fetch(
'https://api.caret.so/v1/integrations/zapier/webhook',
{
method: 'POST',
headers: {
Authorization: 'Bearer your_api_key_here',
'Content-Type': 'application/json',
},
body: JSON.stringify({
hookUrl: 'https://hooks.zapier.com/hooks/catch/123456/abcde/',
}),
},
);
const data = await response.json();
console.log(data);
import requests
url = "https://api.caret.so/v1/integrations/zapier/webhook"
headers = {
"Authorization": "Bearer your_api_key_here",
"Content-Type": "application/json"
}
data = {
"hookUrl": "https://hooks.zapier.com/hooks/catch/123456/abcde/"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
{
"status": "success"
}
⌘I